Package org.eclipse.gef.dot.internal.ui.conversion

## Class DotColorUtil

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.conversion.DotColorUtil

    public class DotColorUtil
    extends java.lang.Object

### Constructor Summary

Constructors
`DotColorUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javafx.scene.paint.Color` `computeGraphBackgroundColor​(java.lang.String colorScheme, org.eclipse.gef.dot.internal.language.color.Color dotColor)`
`java.lang.String` `computeZestColor​(java.lang.String colorScheme, org.eclipse.gef.dot.internal.language.color.Color dotColor)` Returns the javafx representation of a dot color.
`DotColorInfo` `getColorInfo​(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)`
`java.util.List<DotColorInfo>` `getColorInfos​(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)`
`Color` `hex2Rgb​(java.lang.String colorStr)`
`org.eclipse.gef.dot.internal.language.color.Color` `parseColorAttributeValue​(java.lang.String colorAttributeValue)` Creates a `Color` object of a color attribute value.
`java.util.List<org.eclipse.gef.dot.internal.language.color.Color>` `parseColorListAttributeValue​(java.lang.String colorListAttributeValue)` Creates a list of `Color` objects of a color list attribute value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotColorUtil

    public DotColorUtil()

### Method Detail

#### computeZestColor

    public java.lang.String computeZestColor​(java.lang.String colorScheme,
                                             org.eclipse.gef.dot.internal.language.color.Color dotColor)

Returns the javafx representation of a dot color.

Parameters:
  `colorScheme` - The colorscheme attribute value (or null if not defined)
  `dotColor` - The color in dot representation.
Returns:
  The color in javafx representation, or null if the javafx color representation cannot be determined.

#### computeGraphBackgroundColor

    public javafx.scene.paint.Color computeGraphBackgroundColor​(java.lang.String colorScheme,
                                                                org.eclipse.gef.dot.internal.language.color.Color dotColor)

#### parseColorAttributeValue

    public org.eclipse.gef.dot.internal.language.color.Color parseColorAttributeValue​(java.lang.String colorAttributeValue)

Creates a `Color` object of a color attribute value.

Parameters:
  `colorAttributeValue` - The string attribute value.
Returns:
  The corresponding `Color` object.

#### parseColorListAttributeValue

    public java.util.List<org.eclipse.gef.dot.internal.language.color.Color> parseColorListAttributeValue​(java.lang.String colorListAttributeValue)

Creates a list of `Color` objects of a color list attribute value.

Parameters:
  `colorListAttributeValue` - The string attribute value.
Returns:
  List of the corresponding `Color` objects.

#### getColorInfo

    public DotColorInfo getColorInfo​(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)

#### getColorInfos

    public java.util.List<DotColorInfo> getColorInfos​(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)

#### hex2Rgb

    public Color hex2Rgb​(java.lang.String colorStr)